using System;

class StudentInfoTest
{
    static void Main(string[] args)
    {
        StudentInfo s=new StudentInfo("John Smith",3429,"21 Bristol Rd");				  									

	    s.printStudentInfo("Original object");
        Console.WriteLine(" ");

        myStudentRecordsApplication.setIDpassByVal(s);
        
        s.printStudentInfo("Pass object ref by value");
        Console.WriteLine(" ");

        myStudentRecordsApplication.setIDpassByRef(ref s);

        s.printStudentInfo("Pass object ref by reference");
	  	
    }
}
